Distribution:   CCux
Packager:       Stefan Gottwald <gotti@ccux-linux.de>

Summary: 	Volume control plugin for the Xfce 4 panel
Name: 		xfce4-mixer
Version:	4.6.1
Release:	2
License:	BSD
URL: 		http://www.xfce.org/
Source0: 	%{name}-%{version}.tar.bz2
Group: 		Graphical Desktop/Xfce/Base
BuildRoot: 	%{_tmppath}/%{name}-buildroot
BuildArch:	i686

#Automatically resolved build dependencies
BuildRequires: atk-devel
BuildRequires: cairo-devel
BuildRequires: dbus-devel
BuildRequires: dbus-glib-devel
BuildRequires: expat-devel
BuildRequires: fontconfig-devel
BuildRequires: freetype-devel
BuildRequires: glibc-devel
BuildRequires: glib-devel
BuildRequires: gst-plugins-base-devel
BuildRequires: gstreamer10-devel
BuildRequires: gtk2+-devel
BuildRequires: libICE-devel
BuildRequires: libpng-devel
BuildRequires: libSM-devel
BuildRequires: libstdc++-devel
BuildRequires: libX11-devel
BuildRequires: libxcb-devel
BuildRequires: libxfce4util-devel
BuildRequires: libxfcegui4-devel
BuildRequires: libxml2-devel
BuildRequires: libXrender-devel
BuildRequires: pango-devel
BuildRequires: pixman-devel
BuildRequires: startup-notification-devel
BuildRequires: xcb-util-devel
BuildRequires: xfce4-panel-devel
BuildRequires: xfconf-devel
BuildRequires: zlib-devel

%description
xfce4-mixer is the volume control plugin for the Xfce 4 panel. Includes a
simple sound mixer.

%post

%postun

%prep
%setup -q -n %{name}-%{version}

%build
%configure --sysconfdir=%_sysconfdir/xfce --with-sound=alsa --enable-final
# don't execute make with smp-flags - error while building
make

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root)
%doc README TODO ChangeLog INSTALL COPYING AUTHORS NEWS
%{_bindir}/xfce4-mixer
%{_libdir}exec/xfce4/panel-plugins/xfce4-mixer-plugin
%{_applications}/xfce4-mixer.desktop
%{_locale}/*/LC_MESSAGES/xfce4-mixer.mo
%{_pixmaps}/xfce4-mixer/chain-broken.png
%{_pixmaps}/xfce4-mixer/chain.png
%{_datadir}/xfce4-mixer/icons/hicolor/16x16/status/xfce4-mixer-muted.png
%{_datadir}/xfce4-mixer/icons/hicolor/16x16/status/xfce4-mixer-no-muted.png
%{_datadir}/xfce4-mixer/icons/hicolor/16x16/status/xfce4-mixer-no-record.png
%{_datadir}/xfce4-mixer/icons/hicolor/16x16/status/xfce4-mixer-record.png
%{_datadir}/xfce4-mixer/icons/hicolor/16x16/status/xfce4-mixer-volume-high.png
%{_datadir}/xfce4-mixer/icons/hicolor/16x16/status/xfce4-mixer-volume-low-medium.png
%{_datadir}/xfce4-mixer/icons/hicolor/16x16/status/xfce4-mixer-volume-low.png
%{_datadir}/xfce4-mixer/icons/hicolor/16x16/status/xfce4-mixer-volume-medium.png
%{_datadir}/xfce4-mixer/icons/hicolor/16x16/status/xfce4-mixer-volume-muted.png
%{_datadir}/xfce4-mixer/icons/hicolor/16x16/status/xfce4-mixer-volume-ultra-low.png
%{_datadir}/xfce4-mixer/icons/hicolor/16x16/status/xfce4-mixer-volume-very-high.png
%{_datadir}/xfce4-mixer/icons/hicolor/24x24/status/xfce4-mixer-muted.png
%{_datadir}/xfce4-mixer/icons/hicolor/24x24/status/xfce4-mixer-no-muted.png
%{_datadir}/xfce4-mixer/icons/hicolor/24x24/status/xfce4-mixer-no-record.png
%{_datadir}/xfce4-mixer/icons/hicolor/24x24/status/xfce4-mixer-record.png
%{_datadir}/xfce4-mixer/icons/hicolor/24x24/status/xfce4-mixer-volume-high.png
%{_datadir}/xfce4-mixer/icons/hicolor/24x24/status/xfce4-mixer-volume-low-medium.png
%{_datadir}/xfce4-mixer/icons/hicolor/24x24/status/xfce4-mixer-volume-low.png
%{_datadir}/xfce4-mixer/icons/hicolor/24x24/status/xfce4-mixer-volume-medium.png
%{_datadir}/xfce4-mixer/icons/hicolor/24x24/status/xfce4-mixer-volume-muted.png
%{_datadir}/xfce4-mixer/icons/hicolor/24x24/status/xfce4-mixer-volume-ultra-low.png
%{_datadir}/xfce4-mixer/icons/hicolor/24x24/status/xfce4-mixer-volume-very-high.png
%{_datadir}/xfce4-mixer/icons/hicolor/48x48/status/xfce4-mixer-muted.png
%{_datadir}/xfce4-mixer/icons/hicolor/48x48/status/xfce4-mixer-no-muted.png
%{_datadir}/xfce4-mixer/icons/hicolor/48x48/status/xfce4-mixer-no-record.png
%{_datadir}/xfce4-mixer/icons/hicolor/48x48/status/xfce4-mixer-record.png
%{_datadir}/xfce4-mixer/icons/hicolor/48x48/status/xfce4-mixer-volume-high.png
%{_datadir}/xfce4-mixer/icons/hicolor/48x48/status/xfce4-mixer-volume-low-medium.png
%{_datadir}/xfce4-mixer/icons/hicolor/48x48/status/xfce4-mixer-volume-low.png
%{_datadir}/xfce4-mixer/icons/hicolor/48x48/status/xfce4-mixer-volume-medium.png
%{_datadir}/xfce4-mixer/icons/hicolor/48x48/status/xfce4-mixer-volume-muted.png
%{_datadir}/xfce4-mixer/icons/hicolor/48x48/status/xfce4-mixer-volume-ultra-low.png
%{_datadir}/xfce4-mixer/icons/hicolor/48x48/status/xfce4-mixer-volume-very-high.png
%{_datadir}/xfce4-mixer/icons/hicolor/scalable/status/xfce4-mixer-muted.svg
%{_datadir}/xfce4-mixer/icons/hicolor/scalable/status/xfce4-mixer-no-muted.svg
%{_datadir}/xfce4-mixer/icons/hicolor/scalable/status/xfce4-mixer-no-record.svg
%{_datadir}/xfce4-mixer/icons/hicolor/scalable/status/xfce4-mixer-record.svg
%{_datadir}/xfce4-mixer/icons/hicolor/scalable/status/xfce4-mixer-volume-high.svg
%{_datadir}/xfce4-mixer/icons/hicolor/scalable/status/xfce4-mixer-volume-low-medium.svg
%{_datadir}/xfce4-mixer/icons/hicolor/scalable/status/xfce4-mixer-volume-low.svg
%{_datadir}/xfce4-mixer/icons/hicolor/scalable/status/xfce4-mixer-volume-medium.svg
%{_datadir}/xfce4-mixer/icons/hicolor/scalable/status/xfce4-mixer-volume-muted.svg
%{_datadir}/xfce4-mixer/icons/hicolor/scalable/status/xfce4-mixer-volume-ultra-low.svg
%{_datadir}/xfce4-mixer/icons/hicolor/scalable/status/xfce4-mixer-volume-very-high.svg
%{_datadir}/xfce4/panel-plugins/xfce4-mixer-plugin.desktop

%changelog
* Mon May 24 2010 Karsten Brockmann <arcam@ccux-linux.de> 4.6.1-2
- rebuilt
* Sun Sep 13 2009 Karsten Brockmann <arcam@ccux-linux.de> 4.6.1-1
- Version Update
* Sat Mar 14 2009 Christian Wasem <wasem@ccux-linux.de> 4.6.0-1
- Version update
* Sun Feb 15 2009 Christian Wasem <wasem@ccux-linux.de> 4.5.92-1
- Version update
* Sun Feb 15 2009 Christian Wasem <wasem@ccux-linux.de> 4.4.3-1
- Version update
* Sun Dec 30 2007 Stefan Gottwald <gotti@ccux-linux.de> 4.4.2-1
- Version update
* Sun Oct 07 2007 Stefan Gottwald <gotti@ccux-linux.de> 4.4.1-1
- Version update
* Wed Jan 31 2007 Christian Metzen <metzench@ccux-linux.de> 4.4.0-1
- Version update
* Sat Nov 25 2006 Christian Metzen <metzench@ccux-linux.de> 4.3.99.2-1
- cleaned version, moved libexecdir and sysconfdir
* Thu Nov 23 2006 Stefan Gottwald <gotti@ccux-linux.de> 4.3.99-2
- Version Update RC2
* Mon Sep 04 2006 Stefan Gottwald <gotti@ccux-linux.de> 4.3.99-1
- Version Update, RC1
* Thu Jul 20 2006 Stefan Gottwald <gotti@ccux-linux.de> 4.3.90-1
- Version Update, beta2
* Sat Nov 12 2005 Karsten Brockmann <arcam@ccux-linux.de> 4.2.3-1
- Version update
* Fri Oct 14 2005 Stefan Gottwald <gotti@ccux-linux.de> 4.2.2-1
- Initial Release
